using UnityEngine;
using System.Collections;

public class InputScript : MonoBehaviour {

	public float speed = 5;
	public Rigidbody rb;

	void Update() {
		float moveX = Input.GetAxis("Horizontal");
		float moveY = Input.GetAxisRaw("Vertical");

		print(moveX + "-" + moveY);

		transform.Translate(Vector3.right * moveX * speed * Time.deltaTime);
		transform.Translate(Vector3.forward* moveY * speed * Time.deltaTime);

		if (Input.GetButtonDown("Jump")) rb.AddForce(Vector3.up * 10, ForceMode.Impulse);

		if (Input.GetKeyDown(KeyCode.LeftControl)) rb.AddForce(Vector3.forward * 50, ForceMode.Impulse);

		if (Input.GetMouseButtonDown(1)) rb.AddForce(Vector3.right * 10, ForceMode.Impulse);
	}

	void OnMouseEnter() {
		transform.localScale = new Vector3(3, 3, 3);
	}

	void OnMouseExit() {
		transform.localScale = new Vector3(9.3f, 9.3f, 9.3f);
	}
}
